## org.gnu.gtk
Class ArrowType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.ArrowType

public class ArrowType
extends org.gnu.glib.Enum

Used to indicate the direction in which an Arrow should point.

See Also:
  `Arrow`

Field Summary
`static ArrowType` `DOWN`
`static ArrowType` `LEFT`
`static ArrowType` `RIGHT`
`static ArrowType` `UP`

Method Summary
`ArrowType` `and(ArrowType other)`
`static ArrowType` `intern(int value)`
`ArrowType` `or(ArrowType other)`
`boolean` `test(ArrowType other)`
`ArrowType` `xor(ArrowType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UP

    public static final ArrowType UP

### DOWN

    public static final ArrowType DOWN

### LEFT

    public static final ArrowType LEFT

### RIGHT

    public static final ArrowType RIGHT

Method Detail

### intern

    public static ArrowType intern(int value)

### or

    public ArrowType or(ArrowType other)

### and

    public ArrowType and(ArrowType other)

### xor

    public ArrowType xor(ArrowType other)

### test

    public boolean test(ArrowType other)